Bug 17142 - no printing even after fixes recommended by RedHat
no printing even after fixes recommended by RedHat
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-08-31 12:58 EDT by vit
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-01 16:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vit 2000-08-31 12:58:45 EDT
* upgraded from 5.2 to 6.1
* no printing, parallel ports unknown
* went to RedHat tech support
* added to /etc/conf/modules:  alias parport_lowlevel parport_pc
* parallel port /dev/lp0 is recognized
* cat file.txt > /dev/lp0      prints the text file
* lpr file.txt           nothing
* lpc			 no daemon running
* downloaded latest lpr package, installed
* lpr file.txt makes printer to spit few empty pages.
* printtool   - selected printer,
 	      - test ASCII
	      - prints an empty page
Comment 1 Bernhard Rosenkraenzer 2000-08-31 13:02:03 EDT
Which printer are you using? What are your BIOS settings for the
parallel port?
Comment 2 vit 2000-08-31 14:25:26 EDT
Hi bero,

I made some progress.  It turns out that I did not upgrade ghostscript.
After the upgrade to ghostscript 5.10 here is what happens:

* printtool
* test ; ASCII
* printer prints this
 " If this is all you see, try enabling 'LF->CR/LF' translation in printtool..."

* Delete  printer
* Add printer  -  but nowhere do I see anything where I could add
                   the above translation. ???

How do I do this?

By the way,  my printer is HP DeskJet 600C, printing to /dev/lp0. 

Thanks for help,

Vit Novak
Comment 3 vit 2000-09-01 16:22:48 EDT
All works.  In printtool I selected the printer driver for HP Jet 600C.
Comment 4 Crutcher Dunnavant 2000-09-05 11:46:42 EDT
If its working on your end, I am going to resolve it.
Open the bug back up if something else comes up.

Note You need to log in before you can comment on or make changes to this bug.